Themes: Snap

theme_snap
Maintained by Picture of Blackboard Open LMS Development Blackboard Open LMS Development, Picture of Jonathan Garcia Jonathan Garcia, Picture of Rafael Monterroza Rafael Monterroza, Picture of Guillermo Alvarez Guillermo Alvarez
Snap’s user-friendly and responsive design removes barriers to online learning, enabling you to create the modern, engaging experience user's expect on the web today. Its intuitive layout is optimised for online learning, focusing on the things that matter - your learning activities and content.
1031 sites
1k downloads
147 fans



Snap

Snap is a Moodle theme that makes online learning an enjoyable and intuitive experience for learners and educators.


Snap's user-friendly design removes barriers to online learning, enabling you to create the modern, engaging experience user's expect on the web today. Snap's intuitive layout is optimised for online learning, focusing on the things that matter - your learning activities and content.


Personal menu

Snap’s easy to use navigation gives users an elegant way to perform frequent tasks. All your courses, deadlines, messages and feedback are always one click or tap away to save you time.


Courses with personality

Every course in Snap let's teachers add a cover image to give it a unique personality.

Courses in Snap allow you create individual topics, so learners understand where their focus should be without being confused or overwhelmed by lots of links and options. 

Each topic shows students their progress, which is updated inline with ajax as you progress through the course.

Every activity in Snap shows students the due date, if they have submitted, and if feedback is available - without having to open the activity. 

Teachers are shown how many users have submitted an activity, and if they need to grade any submissions. 

Teacher's workflows for creating and structuring content in their courses are also optimised to save time. With no need to turn editing on, inline resource/activity deleting, the ability to move multiple resources/activities at once, inline topic creation and many other ways to help teachers give learners the best online learning experience.



Working seamlessly across every device - from desktop to mobile, Snap’s responsive Twitter Bootstrap based framework provides a consistent, professional experience for learning whenever and wherever you want to learn.


You can learn more about Snap on our video playlist.


Under the hood:

Like most other Moodle Themes today Snap runs on Bootstrap 4, jQuery, Sass, and inherits from the Boost theme.


Releases:

Snap is continuously updated, with each major version released 6 months after the Moodle release. If you'd like to test our work in progress it's always available on github!


Questions & Support:

Be kind by asking questions about Snap in the Moodle Themes Forum rather than on this page.

Report bugs about Snap in the Snap theme github.


Blackboard

This plugin is contributed by the Blackboard. Blackboard is an education technology company dedicated to bringing excellent online teaching to institutions across the globe. We serve colleges and universities, schools and organizations by supporting the software that educators use to manage and deliver instructional content to learners in virtual classrooms.

Screenshots

Screenshot #0
Screenshot #1
Screenshot #2
Screenshot #3
Screenshot #4

Contributors

Picture of Blackboard Open LMS Development
Blackboard Open LMS Development (Lead maintainer)
Picture of Rafael Monterroza
Rafael Monterroza
Picture of Guillermo Alvarez
Guillermo Alvarez
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Blackboard Open LMS Development
    Tue, 7 Aug 2018, 1:30 AM
    Hi everyone,

    Our team is working hardly to maintain all our plugins and make our moodle distribution better. For sure we will continue with our periodicall releases to the community, but for this time it will take us little more time to do it as we wait for our new cool name (wait for it!!!!), in the middle please feel peaceful to download the last version from our github.
  • Picture of Charles Osa
    Tue, 7 Aug 2018, 8:37 AM
    Thanks Moodlerooms Development.
    I am sure it would be one hell of a cool name!!!!!
  • Picture of Paul Vincent
    Wed, 8 Aug 2018, 11:38 PM
    @Joseph and @Moodlerooms - Ok, thanks for the comments, I just updated to 3.4 and all seems good (would be good to know why it's not been added here yet though). I'm inclined to wait and see how things go before jumping ship - no other theme really meets our UX needs in the way Snap does.
  • Picture of Giovanni Borda
    Fri, 24 Aug 2018, 12:15 PM
    Me gusta mucho el tema, me gustaría poder apoyar el tema de el release para la versión 3.4 y 3.5, ¿como uno puede apoyar?
  • Picture of Inga Ivan
    Tue, 4 Sep 2018, 9:31 PM
    Hi everyone and the Blackboard team,

    Thank you for the news!

    When do you approximately expect the new release of the SNAP (new name coming) theme for Moodle 3.5 to be available for the users for downloading?

    Your reply would be much appreciated so we can continue planning our Moodle update. Thank you!




  • Picture of Blackboard Open LMS Development
    Thu, 4 Oct 2018, 8:52 PM
    Hi Inga,
    the next version of SNAP will be available here on January 10th but if you want you can get it one week before from our repository.
  • Picture of Ronisha Sanders
    Fri, 26 Oct 2018, 5:44 AM
    I keep trying to upload this plugin but it keeps giving me the file too large error.
  • Picture of Blackboard Open LMS Development
    Fri, 26 Oct 2018, 8:50 AM
    Hi Ronisha, I suggest to follow this https://docs.moodle.org/35/en/File_upload_size to increase your upload parameters
  • Picture of Pat Sej
    Fri, 16 Nov 2018, 6:52 PM
    Hey everyone!
    I've upgraded to 3.4 and notice that the title in the Page module does not appear anymore.
    Editing it, I can see under Appearance the following message:
    "Snap's design language prevents changes to "Appearance" settings."

    I've see that it has been introduced in Snap's code by INT-13166
    https://github.com/blackboard-open-source/moodle-theme_snap/commit/aa37da7e9ec3adf4712e48e7fd41c3e6fabe51c7
    What does it mean and how can I put the title back?

    Thanks in advance! wink
  • Picture of Blackboard Open LMS Development
    Thu, 22 Nov 2018, 11:32 PM
    Hi Pat,

    That change was made to keep consistency and behavior of Snap (mainly a design reason).
    I don't think there is a easy way to put it back, unless you want to modify the code which we don't recommend.

    Thanks for reaching out.
  • Picture of Pat Sej
    Fri, 23 Nov 2018, 1:21 AM
    Thanks for the answer.
    I notice I've forgotten to precise that my concern is when the Page module is displayed in full page and not within the Section.
    In full page mode, It's not consistent. LTI and H5P for instance display the title.

    I've been asked to put back the title. Could you please tell me where in the Snap code I can find that?

    Thanks wink
  • Picture of Pat Sej
    Tue, 27 Nov 2018, 4:03 PM
    Hello dear community,
    Would somebody have an idea of how to fix that?
    Thanks for any good tip wink
  • Picture of Pat Sej
    Fri, 30 Nov 2018, 8:01 AM
    As I didn't have any feedback, I've fixed it myself by rolling back Snap's fix INT-13166.
    For those interested, you just need to edit snap.js and comment from line 781 to 797:
    /*.then(function (html) {
    // Disable checkboxes.
    // Colors for disabling the divs.
    ...
    var cbxprintheading = $('[id="id_printheading"]');
    cbxprintheading.attr('disabled', true);
    ...
    var selectNode = $('[id="id_error_printheading"]');
    selectNode.parent().parent().parent().append(html);
    });*/
    Don't forget to run grunt to generate snap.min.js and purge the cache.
  • Picture of Blackboard Open LMS Development
    Fri, 30 Nov 2018, 8:25 AM
    Hi Pat,

    Just keep in mind that for future updates you'll need to modify that piece of code again. For now we'll be keeping that change. You can also fork our repository and keep your changes, so anyone can just download your version.

    Best regards

  • Picture of Pat Sej
    Fri, 30 Nov 2018, 4:25 PM
    Hi Mr Blackboard (I don't know your name wink ),

    Thanks for this good remark. I already work in my own repo to be able to keep my changes and apply yours wink

    I tried to understand the change your team made, but I don't.
    Do you have a page explaining and showing the issue ?

    Best regards
1 2 3 4 5 6 7 8 9 10 11 12

Commenting temporarily disabled